##############################################################################
# $Id: xawdecode-gen.spec.in,v 1.16.2.1 2003/11/27 20:43:43 pingus77 Exp $
##############################################################################
# need neXtaw 0.15.1, FFmpeg 0.4.8 from FFmpeg SF project, lame 3.93 from Lame SF project
# divx 5.05 from divx.com, xvid 0.92 from xvid.org, xterm, xosd 2.2.7

%define _unpackaged_files_terminate_build 0

# build with -with optimization
%define build_optimization 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}

# build with -with noalsa
%define build_noalsa 0
%{?_with_noalsa: %{expand: %%define build_noalsa 1}}

# build with -with xosd
%define build_xosd 0
%{?_with_xosd: %{expand: %%define build_xosd 1}}

%define name 			xawdecode
%define Name 			Xawdecode
%define version 		1.8.2
%define release 		1
%define summary1		%{Name} is a software that allows you to watch TV.
%define summary2		Developpement files for %{Name}.
%define summary3		Font used by %{Name} OSD function.

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
Copyright: 			GPL
Distribution: 			ALL RPM Based Linux Distributions
Packager: 			Pingus <pingus77@ifrance.com>
URL:				http://xawdecode.sourceforge.net/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software that allows you to watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use deinterlacing filters
and record video files with the ffmpeg, xvid, and divx5.05 codecs.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name}

%package OSD-font
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}

%description OSD-font
Font used by %{Name} OSD function.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
%if !%build_optimization
	--disable-cpu-detection \
%endif
%if %build_noalsa
	--disable-alsa \
%endif
%if %build_xosd
	--enable-xosd \
%endif

make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-cap

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQfr-xawdecode libavc-rate-control.txt
%doc lircrc.hauppauge.sample lircrc.miro.sample lisez-moi README.avilib
%doc xawdecoderc.sample INSTALL README README.deinterlace README.ffmpeg
%doc lircrc.animax.sample README.bs README.subtitles README.record
%doc lircrc.WinfastTV2000.sample
%{_sysconfdir}/X11/app-defaults/%{Name}
%{_sysconfdir}/%{name}_wizard.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_cmd
%{_bindir}/%{name}_wizard
%{_bindir}/%{name}_scantv
%{_bindir}/%{name}_alevt-cap
%{_bindir}/%{name}_v4l-conf
%{_bindir}/%{name}_scan.sh
%{_bindir}/%{name}_subtitles.sh
%{_bindir}/%{name}_record.sh
%{_prefix}/man/man1/*
%{_datadir}/%{name}/icons/*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files OSD-font
%defattr(-,root,root)
%{_prefix}/X11R6/lib/X11/fonts/misc/led-fixed.pcf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 28 2003 Pingus <pingus77@ifrance.com> 1.8.2-1mdk
- 1.8.2
- add lircrc.WinfastTV2000.sample file.
- alsa support always used. now noalsa is proposed to compile with no alsa support.

* Sat Oct 04 2003 Pingus <pingus77@ifrance.com> 1.8.1-1mdk
- 1.8.1

* Sun Sep 12 2003 Pingus <pingus77@ifrance.com> 1.8.0-1mdk
- 1.8.0
- build with alsa by default
- add toggle for xosd

* Sun Jul 27 2003 Pingus <pingus77@ifrance.com> 1.7.5beta-1mdk
- "Summer Release" 1.7.5beta

* Mon Jul 7 2003 Pingus <pingus77@ifrance.com>
- ver 1.7.0
- plenty of modifications for this spec file

* Fri May 02 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.8
- a lot of changes for this spec file

* Fri Jan 25 2003 Pingus <pingus77@ifrance.com>
- ver 1.6.7
- small updates on spec file
- OSD-font sample package
- v4l-conf sample package

* Mon Nov 11 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.6

* Wed Oct 18 2002 Pingus <pingus77@ifrance.com>
- ver 1.6.5
